/***************************************************************************
 *                                                                         *
 *  Copyright 2010-2011 LSI Corporation.  All rights reserved.             *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corp.  The         *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  ddriIncludes.h
 *          Title:  DDR include files
 *     Programmer:  craigc
 *  Creation Date:  17sept09
 *
 *
 * Description
 * ------------
 * This file includes the header files required to link to the DDR library.
 */

#ifndef DDRIINCLUDES_H_INCLUDED
#define DDRIINCLUDES_H_INCLUDED

/* DDR Interface Definitions  */
#include "ddriDefs.h"
#include "ddriFault.h"

/* DDR Interface Prototypes  */
#include "ddriProtos.h"

#endif /* DDRIINCLUDES_H_INCLUDED */


