/***************************************************************************
 *                                                                         *
 *  Copyright 2011 LSI  Corporation.  All rights reserved.                 *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corp.  The         *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  usbLibHost.h
 *          Title:  USB Library Host functions header.
 *     Programmer:  Sourin Sarkar
 *  Creation Date:  Jan 12, 2010
 *
 *
 * Description
 * ------------
 * This file contains definitions to be used by the USB Host.
 *
 *-------------------------------------------------------------------------
 */

#ifndef _USBLIBHOST_H_
#define _USBLIBHOST_H_

#if (IOC_USB_SUPPORT)

/* ************************************************************************** */
/* Function prototypes                                                        */
/* ************************************************************************** */

USB_STATUS usbiHostInit( U32 UsbPort );
USB_STATUS usbiHostDiscoverDevice( U32 UsbPort );
void       usbiHostIsr(U32 UsbPort);
USB_STATUS usbiHostRegisterCallback(U32 UsbPort, void CallbackFunction(U32, USB_STATUS, USB_SCSI_STATUS, U32 CmdHandle));
#endif /* #if (IOC_USB_SUPPORT) */

#endif /* #ifndef _USBLIBHOST_H_ */
