/***************************************************************************
 *                                                                         *
 *  Copyright 2010-2011 LSI Corporation.  All rights reserved.             *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corp.  The         *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  iopiProtosDDR.h
 *          Title:  DDR to IOP Interface functions
 *     Programmer:  craigc
 *  Creation Date:  17sept09
 *
 *
 * Description
 * ------------
 */

#ifndef IOPIPROTOSDDR_H_INCLUDED
#define IOPIPROTOSDDR_H_INCLUDED

void iopinitFault(U32 faultCode);
void iopinitDelayUSec(U32 USec);
//void iopinitBurstMemcopy(U32 *ptrDstAddr, U32 *ptrSrcAddr, U32 size);

void iopinitDiagConsolePrint0(char * FmtStr);
void iopinitDiagConsolePrint1(char * FmtStr, U32 Arg1);
void iopinitDiagConsolePrint2(char * FmtStr, U32 Arg1, U32 Arg2 );
void iopinitDiagConsolePrint3(char * FmtStr, U32 Arg1, U32 Arg2, U32 Arg3 );
void iopinitDiagConsolePrint4(char * FmtStr, U32 Arg1, U32 Arg2, U32 Arg3, U32 Arg4 );

#endif  /* if not defined iopiprotosddr-h-included */


