/***************************************************************************
 *                                                                         *
 *  Copyright 2012 LSI Corporation.  All rights reserved.                  *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  secUbootLib.h
 *          Title:  Secondary U-boot definitions for dual core.
 *     Programmer:  Jignesh Moradiya
 *  Creation Date:  May 20,2012
 *
 *  Version History
 *  ---------------
 *
 *  Date      Who   Description
 *  --------  ---   --------------------------------------------------------
 *  09/07/11  JM    Initial version.
 *
 * Description
 * ------------
 * This file contains the declaration of function of secondary U-boot.
 *
 *-------------------------------------------------------------------------
 */

#ifndef __DC_SECONDARY_UBOOT_LIB_H
#define __DC_SECONDARY_UBOOT_LIB_H

U32 secUbootLib( int argc, char * argv[] ); /* Entry point function - Secondary U-Boot */

#endif /* __DC_SECONDARY_UBOOT_LIB_H */
